Gets the registered iterator instances

- « MultipleIterator::countIterators

- MultipleIterator::detachIterator »

- PHP Manual
- MultipleIterator
- Gets the registered iterator instances

# MultipleIterator::current

(PHP 5 >= 5.3.0, PHP 7, PHP 8)

MultipleIterator::current — Gets the registered iterator instances

### Description

public MultipleIterator::current(): array

Get the registered iterator instances current() result.

Warning

This function is currently not documented; only its argument list is available.

### Parameters

This function has no parameters.

### Return Values

An array containing the current values of each attached iterator.

### Errors/Exceptions

A RuntimeException if the iterator is invalid (as of PHP 8.1.0), or mode `MIT_NEED_ALL` is set and at least one attached iterator is not valid. Or an IllegalValueException if a key is `null` and `MIT_KEYS_ASSOC` is set.

### Changelog

Version | Description
--- | ---
8.1.0 | A RuntimeException is now thrown if MultipleIterator::current() is called on an invalid iterator. Previously, `false` was returned.

### See Also

- MultipleIterator::valid() - Checks the validity of sub iterators